summaryrefslogtreecommitdiffstats
path: root/ci/clean.sh
diff options
context:
space:
mode:
authorNarinder Gupta <narinder.gupta@canonical.com>2017-01-26 00:21:35 -0600
committerNarinder Gupta <narinder.gupta@canonical.com>2017-01-26 00:30:23 -0600
commiteab8a2b3bb2d8e6f992e4c288fed4275a675f082 (patch)
tree5e93754214a4125c85a36d16000695f0767ed534 /ci/clean.sh
parent7188808f4521feb83e828b14479db8df70c60a7b (diff)
did some cleanupm job.
Change-Id: I998482d0cba2bf6eb774d68124d2383ba869a08b Signed-off-by: Narinder Gupta <narinder.gupta@canonical.com>
Diffstat (limited to 'ci/clean.sh')
-rwxr-xr-xci/clean.sh20
1 files changed, 12 insertions, 8 deletions
diff --git a/ci/clean.sh b/ci/clean.sh
index 079828a0..3b0ab34f 100755
--- a/ci/clean.sh
+++ b/ci/clean.sh
@@ -2,17 +2,21 @@
set -ex
-if [ ! -d environments.yaml ]; then
- cp ~/joid_config/environments.yaml ./environments.yaml || true
- cp ~/.juju/environments.yaml ./environments.yaml || true
-fi
+jujuver=`juju --version`
-if [ ! -d deployment.yaml ]; then
- cp ~/joid_config/deployment.yaml ./deployment.yaml || true
- cp ~/.juju/deployment.yaml ./deployment.yaml || true
+if [[ "$jujuver" > "2" ]]; then
+ if [ ! -d labconfig.yaml ]; then
+ cp ~/joid_config/deployment.yaml ./deployment.yaml || true
+ cp ~/joid_config/labconfig.yaml ./labconfig.yaml || true
+ cp ~/joid_config/deployconfig.yaml ./deployconfig.yaml || true
+ fi
+else
+ if [ ! -d environments.yaml ]; then
+ cp ~/joid_config/environments.yaml ./environments.yaml || true
+ cp ~/.juju/environments.yaml ./environments.yaml || true
+ fi
fi
-jujuver=`juju --version`
if [[ "$jujuver" > "2" ]]; then
controllername=`awk 'NR==1{print substr($1, 1, length($1)-1)}' deployment.yaml`